All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.totals
Interface TotalsSelectorComponentNames

    public interface TotalsSelectorComponentNames

Contains the names of the sub components used by the `TotalsSelectorPanel`

Since:
  3.1

Field Summary
`static java.lang.String` | `COLUMNS_SUBTOTALS_CHECK_BOX_NAME` The name of the Columns Subtotals check box.
`static java.lang.String` | `COLUMNS_TOTALS_CHECK_BOX_NAME` The name of the Columns Totals check box.
`static java.lang.String` | `DISPLAY_LABEL_NAME` The name of the Display label.
`static java.lang.String` | `EXPANDED_TOTALS_CHECK_BOX_NAME` The name of the 'Show expnaded totals' check box.
`static java.lang.String` | `INSERT_LABEL_NAME` The name of the Insert label.
`static java.lang.String` | `MESSAGE_LABEL_NAME` The name of the message label.
`static java.lang.String` | `NAME_SEPARATOR` The separator used to separate the selector name from the component name when creating the final component name (e.g.
`static java.lang.String` | `PARENT_TOTALS_DESC_LABEL_NAME` The name of the 'Parent totals' description label.
`static java.lang.String` | `POSITION_RADIO_NAME` The name of the top/bottom radio box.
`static java.lang.String` | `ROWS_SUBTOTALS_CHECK_BOX_NAME` The name of the Rows Subtotals check box.
`static java.lang.String` | `ROWS_TOTALS_CHECK_BOX_NAME` The name of the Rows Totals check box.
`static java.lang.String` | `TYPE_LABEL_NAME` The name of the Type: label.
`static java.lang.String` | `TYPE_RADIO_NAME` The name of the Type: radio box.
`static java.lang.String` | `VISUAL_TOTALS_DESC_LABEL_NAME` The name of the 'Visual totals' description label.

Field Detail

### ROWS_TOTALS_CHECK_BOX_NAME

    static final java.lang.String ROWS_TOTALS_CHECK_BOX_NAME

  The name of the Rows Totals check box. "rowTotals"

  When used to pass the component value through the HTTP Request must be prepended by the ActionProvider prefix (e.g. AP1_rowTotals, where AP1_ is the ActionProvider prefix).

  See Also:
    Constant Field Values

### COLUMNS_TOTALS_CHECK_BOX_NAME

    static final java.lang.String COLUMNS_TOTALS_CHECK_BOX_NAME

  The name of the Columns Totals check box. "columnTotals"

  When used to pass the component value through the HTTP Request must be prepended by the ActionProvider prefix (e.g. AP1_columnTotals, where AP1_ is the ActionProvider prefix).

  See Also:
    Constant Field Values

### ROWS_SUBTOTALS_CHECK_BOX_NAME

    static final java.lang.String ROWS_SUBTOTALS_CHECK_BOX_NAME

  The name of the Rows Subtotals check box. "rowSubtotals"

  When used to pass the component value through the HTTP Request must be prepended by the ActionProvider prefix (e.g. AP1_rowSubtotals, where AP1_ is the ActionProvider prefix).

  See Also:
    Constant Field Values

### EXPANDED_TOTALS_CHECK_BOX_NAME

    static final java.lang.String EXPANDED_TOTALS_CHECK_BOX_NAME

  The name of the 'Show expnaded totals' check box. "expandedTotals"

  When used to pass the component value through the HTTP Request must be prepended by the ActionProvider prefix (e.g. AP1_expandedTotals, where AP1_ is the ActionProvider prefix).

  See Also:
    Constant Field Values

### COLUMNS_SUBTOTALS_CHECK_BOX_NAME

    static final java.lang.String COLUMNS_SUBTOTALS_CHECK_BOX_NAME

  The name of the Columns Subtotals check box. "columnSubtotals"

  When used to pass the component value through the HTTP Request must be prepended by the ActionProvider prefix (e.g. AP1_columnSubtotals, where AP1_ is the ActionProvider prefix).

  See Also:
    Constant Field Values

### INSERT_LABEL_NAME

    static final java.lang.String INSERT_LABEL_NAME

  The name of the Insert label. "insertLabel"

  See Also:
    Constant Field Values

### DISPLAY_LABEL_NAME

    static final java.lang.String DISPLAY_LABEL_NAME

  The name of the Display label. "displayLabel"

  See Also:
    Constant Field Values

### TYPE_LABEL_NAME

    static final java.lang.String TYPE_LABEL_NAME

  The name of the Type: label. "typeLabel"

  See Also:
    Constant Field Values

### TYPE_RADIO_NAME

    static final java.lang.String TYPE_RADIO_NAME

  The name of the Type: radio box. "totalsType"

  See Also:
    Constant Field Values

### POSITION_RADIO_NAME

    static final java.lang.String POSITION_RADIO_NAME

  The name of the top/bottom radio box. "totalsPosition"

  See Also:
    Constant Field Values

### VISUAL_TOTALS_DESC_LABEL_NAME

    static final java.lang.String VISUAL_TOTALS_DESC_LABEL_NAME

  The name of the 'Visual totals' description label. "visualTotalsDescLabel"

  See Also:
    Constant Field Values

### PARENT_TOTALS_DESC_LABEL_NAME

    static final java.lang.String PARENT_TOTALS_DESC_LABEL_NAME

  The name of the 'Parent totals' description label. "parentTotalsDescLabel"

  See Also:
    Constant Field Values

### NAME_SEPARATOR

    static final java.lang.String NAME_SEPARATOR

  The separator used to separate the selector name from the component name when creating the final component name (e.g. TotalsSelector_rowsLabel). "_"

  See Also:
    Constant Field Values

### MESSAGE_LABEL_NAME

    static final java.lang.String MESSAGE_LABEL_NAME

  The name of the message label. "messageLabel"

  See Also:
    Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.